%define anolis_release 1

Name:           python-pathspec
Version:        0.10.3
Release:        %{anolis_release}%{?dist}
Summary:        Utility library for gitignore style pattern matching of file paths

License:        MPLv2.0
URL:            https://github.com/cpburnz/python-path-specification
Source0:        https://github.com/cpburnz/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python3-pathspec
Summary:        %{summary}
%{?python_provide:%python_provide python3-pathspec}

%description -n python3-pathspec
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n python3-pathspec-doc
Summary:        Documentation files for python3-pathspec
Requires:       python3-pathspec = %{version}-%{release}
BuildArch:      noarch

%description -n python3-pathspec-doc
The python3-pathspec package contains documentation files for python3-pathspec.

%prep
%autosetup -n python-pathspec-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install


%check
%{__python3} setup.py test

%files -n python3-pathspec
%license LICENSE
%{python3_sitelib}/pathspec
%{python3_sitelib}/pathspec-%{version}.dist-info/

%files -n python3-pathspec-doc
%doc README.rst

%changelog
* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.10.3-1
- update to version 0.10.3

* Fri Oct 14 2022 happy_orange <songnannan@linux.alibaba.com> - 0.10.1-1
- init package from upstream
